/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file main.c
 */

#include "main.h"

/************** MAIN ****************************************************/
void main (void)
{
#if EXAMPLE_LED
    main_led();
#elif EXAMPLE_I2C_MASTER
    main_i2c_master();
#elif EXAMPLE_I2C_SLAVE
    main_i2c_slave();
#elif EXAMPLE_SPI
    main_spi();   
#elif EXAMPLE_UART
    main_uart();
#elif EXAMPLE_DEMO
    main_demo();
#elif EXAMPLE_DEMO_TERM
    main_demo_term();
#endif   
} /* main() */

/***************************** End of File ************************************/